> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Invitation



## OpenAPI

````yaml /openapi.json post /v1/invitations/accept
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/invitations/accept:
    post:
      tags:
        - v1 control plane
      summary: Accept Invitation
      operationId: accept_invitation_v1_invitations_accept_post
      parameters:
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            title: Idempotency-Key
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvitationAcceptRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationAcceptResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security: []
components:
  schemas:
    InvitationAcceptRequest:
      properties:
        password:
          anyOf:
            - maxLength: 1024
              minLength: 12
              type: string
            - type: 'null'
          title: Password
        token:
          maxLength: 512
          minLength: 20
          title: Token
          type: string
      required:
        - token
      title: InvitationAcceptRequest
      type: object
    InvitationAcceptResponse:
      properties:
        membership_id:
          title: Membership Id
          type: string
        organization_id:
          title: Organization Id
          type: string
        role:
          title: Role
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - organization_id
        - membership_id
        - role
      title: InvitationAcceptResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````